/* CONTENEDOR GENERAL */
.lr {
    padding: 1rem 2rem;
    margin: 0 auto;
}

/* HEADER */
.lr__header {
    text-align: center;
    margin-bottom: 30px;
}

.lr__title {
    font-size: 28px;
    font-weight: 700;
    color: #333333;
    margin-bottom: 10px;
    margin-top: 0;
}

.lr__text {
    font-size: 14px;
    color: #777777;
    line-height: 1.5;
}

/* SECCIONES */
.lr__section {
    margin-bottom: 30px;
}

.lr__section-title {
    font-size: 18px;
    font-weight: 600;
    color: #333333;
    margin-bottom: 15px;
}

/* GRID BASE */
.lr__row {
    display: grid;
    gap: 12px;
    margin-bottom: 12px;
}

.lr__row--2,
.lr__row--3,
.lr__row--4 {
    grid-template-columns: 1fr;
}

/* CAMPOS */
.lr__field label {
    display: block;
    font-size: 13px;
    color: #333333;
    margin-bottom: 6px;
    margin-top: .5rem;
    font-weight: 600;
}

.lr__input,
.lr__textarea {
    width: 100%;
    padding: 12px;
    font-size: 14px;
    border: 1px solid #e5e5e5;
    border-radius: 8px;
    background-color: #ffffff;
    outline: none;
}

/* FOCUS igual diseño moderno */
.lr__input:focus,
.lr__textarea:focus {
    border-color: var(--color-principal);
}

/* TEXTAREA */
.lr__textarea {
    min-height: 110px;
    resize: none;
}

/* RADIO */
.lr__radio-group {
    display: flex;
    gap: 20px;
    margin-bottom: 15px;
}

.lr__radio {
    font-size: 14px;
    color: #333333;
}

/* BOTÓN */
.lr__actions {
    text-align: center;
    margin-top: 20px;
}

.lr__btn {
    background-color: var(--color-principal);
    color: #ffffff;
    border: none;
    padding: 14px 40px;
    border-radius: 30px;
    font-size: 15px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}



/* ===================== */
/* TABLET */
/* ===================== */
@media (min-width: 768px) {
    .lr {
        padding: 2rem 2rem;

    }

    .lr__row--2 {
        grid-template-columns: repeat(2, 1fr);
    }

    .lr__row--3 {
        grid-template-columns: repeat(3, 1fr);
    }

    .lr__row--4 {
        grid-template-columns: repeat(4, 1fr);
    }

    .lr__title {
        font-size: 32px;
    }
}

/* ===================== */
/* DESKTOP */
/* ===================== */
@media (min-width: 1024px) {

    .lr__title {
        font-size: 36px;
    }

    .lr__section-title {
        font-size: 20px;
    }

}